> ## Documentation Index
> Fetch the complete documentation index at: https://cantonfoundation-update-ref-tables.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# GET /v0/roll-forward-lsu

> Retrieve information on a roll-forward LSU




## OpenAPI

````yaml /openapi/splice/scan/scan.yaml get /v0/roll-forward-lsu
openapi: 3.0.0
info:
  title: Scan API
  version: 0.0.1
servers:
  - url: https://scan.sv-1.global.canton.network.sync.global/api/scan
security: []
tags:
  - name: external
    description: >
      These endpoints are intended for public usage and will remain
      backward-compatible.
  - name: internal
    description: >
      For internal usage only, not guaranteed to be stable or
      backward-compatible.
  - name: deprecated
    description: |
      These endpoints are deprecated and will be removed in a future release.
  - name: scan
    description: |
      The internal and external endpoints.
  - name: pre-alpha
    description: |
      Still under active development, highly unstable. Do not use in production.
paths:
  /v0/roll-forward-lsu:
    get:
      tags:
        - internal
        - scan
      summary: GET /v0/roll-forward-lsu
      description: |
        Retrieve information on a roll-forward LSU
      operationId: getRollForwardLsu
      responses:
        '200':
          description: ok
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetRollForwardLsuResponse'
components:
  schemas:
    GetRollForwardLsuResponse:
      type: object
      properties:
        rollForwardLsu:
          $ref: '#/components/schemas/RollForwardLsu'
          description: Info on a roll-forward LSU
    RollForwardLsu:
      type: object
      required:
        - upgradeTime
        - currentPhysicalSynchronizerId
        - successorPhysicalSynchronizerId
      properties:
        upgradeTime:
          description: The time at which to upgrade
          type: string
          format: date-time
        currentPhysicalSynchronizerId:
          type: string
        successorPhysicalSynchronizerId:
          type: string

````